package de.ozgcloud.vorgang.status;

import static org.mockito.ArgumentMatchers.*;
import static org.mockito.Mockito.*;

import java.util.Map;

import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;
import org.springframework.data.mongodb.core.MongoOperations;

import com.mongodb.client.result.UpdateResult;

import de.ozgcloud.vorgang.common.db.CollisionVerifier;

class StatusRepositoryTest {

	@InjectMocks
	@Spy
	private StatusRepository repository;

	@Mock
	private MongoOperations mongoOperations;
	@Mock
	private CollisionVerifier collisionVerifier;

	@Test
	void shouldCallCollisionVerifier() {
		var updateResult = mock(UpdateResult.class);
		when(mongoOperations.updateFirst(any(), any(), any(Class.class))).thenReturn(updateResult);

		repository.patch("vorgangId", 1, Map.of());

		verify(collisionVerifier).verify(any(UpdateResult.class), eq("vorgangId"));
	}
}
