/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import java.util.List;

public class GrpcFinishCreationRequestTestFactory {

	public static GrpcIncomingFileGroup attachment = GrpcIncomingFileGroupTestFactory.create();
	private static List<GrpcIncomingFileGroup> attachments = List.of(attachment);
	public static GrpcIncomingFile representation = GrpcIncomingFileTestFactory.create();
	private static List<GrpcIncomingFile> representations = List.of(representation);

	public static GrpcFinishCreationRequest create() {
		return createBuilder().build();
	}

	public static GrpcFinishCreationRequest.Builder createBuilder() {
		return GrpcFinishCreationRequest.newBuilder()
				.setVorgangId(VorgangTestFactory.ID)
				.addAllAttachments(attachments)
				.addAllRepresentations(representations);
	}
}
